<div class="col-6 offset-3 mt-3">
  <h2>{{pageTitle}}</h2>
  <hr>
  <div class="d-flex justify-content-center">
    <div class="card" style="width:562px;" *ngIf="video">
      <iframe width="560" height="315" [src]="trustedUrl" frameborder="0"
        allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen>
      </iframe>
      <div class="card-body">
        <h5 class="card-title">{{video.title}}</h5>
        <h6 class="card-subtitle mb-2 text-muted"> Añadido {{video.createdAt | amLocale:'es' | amDateFormat: 'DD/MM/YYYY'}} {{video.createdAt | amLocale:'es' | amTimeAgo }}</h6>
        <h6 class="card-subtitle mb-2 text-muted" *ngIf="video.createdAt!=video.updatedAt"> Actualizado {{video.updatedAt | amLocale:'es' | amDateFormat: 'DD/MM/YYYY'}} {{video.updatedAt | amLocale:'es' | amTimeAgo }}</h6>
        <p class="card-text">{{video.description}}</p>
        <a href="#" class="btn btn-warning mr-4" [routerLink]="['/video/edit',video.id]">Editar</a>
        <button type="button" class="btn btn-danger"  data-toggle="modal"   [attr.data-target]="'#Modal'">Borrar</button>

          <!--Modal para borrar-->
      <div class="modal fade" id="Modal" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog" role="document">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title">Confirmar borrar vídeo</h5>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body">
                ¿Seguro que quieres borrar el vídeo "{{video.title}}"?
            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-secondary" data-dismiss="modal">Cerrar</button>
              <button type="button" class="btn btn-primary" data-dismiss="modal" (click)="deleteVideo(video.id)">Borrar vídeo</button>
            </div>
          </div>
        </div>
      </div>

      </div>
    </div>
  </div>

</div>